Я не могу использовать команду gvim в терминале

Когда я вхожу в gvim, это будет:

dyld: Library not loaded: /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/libruby.2.0.0.dylib

Ссылка из: /usr/local/Cellar/macvim/8.0-126/MacVim.app/Contents/MacOS/Vim
Причина: изображение не найдено Ловушка прерывания: 6
Как я могу с этим справиться?

0
0
553
1

Ответы 1

Вы недавно обновили свой macOS? Возможно, вы используете другую версию Ruby (2.3 вместо 2.0, которая должна была быть у вас).

Вы можете попробовать обновить текущую версию:

brew update
brew upgrade gvim

Или напрямую удалите и переустановите gvim:

brew uninstall --purge gvim
brew install gvim

Если какое-либо из этих решений вам подходит, я также нашел аналогичный случай в Stackoverflow с той же проблемой по этой ссылке.

Другие вопросы по теме